Package org.h2.expression

# Interface ExpressionWithVariableParameters

All Known Implementing Classes:
  `ArrayFunction`, `ArrayTableFunction`, `CoalesceFunction`, `ConcatenationOperation`, `ConcatFunction`, `CryptFunction`, `CSVReadFunction`, `CSVWriteFunction`, `DataTypeSQLFunction`, `DateTimeFormatFunction`, `DBObjectFunction`, `FunctionN`, `FunctionsDB2Derby`, `FunctionsLegacy`, `FunctionsMSSQLServer`, `FunctionsMySQL`, `FunctionsOracle`, `FunctionsPostgreSQL`, `HashFunction`, `JavaTableFunction`, `JsonConstructorFunction`, `LinkSchemaFunction`, `ModeFunction`, `OperationN`, `RegexpFunction`, `SearchedCase`, `StringFunction`, `SubstringFunction`, `TableFunction`, `ToCharFunction`, `TruncateValueFunction`, `XMLFunction`

public interface ExpressionWithVariableParameters
An expression with variable number of parameters.

## Method Summary

Modifier and Type
Method
Description
`void`
`addParameter(Expression param)`
Adds the parameter expression.
`void`
`doneWithParameters()`
This method must be called after all the parameters have been set.

## Method Details

### addParameter

void addParameter(Expression param)
Adds the parameter expression.

Parameters:
  `param` - the expression

### doneWithParameters

void doneWithParameters() throws DbException
This method must be called after all the parameters have been set. It checks if the parameter count is correct when required by the implementation.

Throws:
  `DbException` - if the parameter count is incorrect.